// MFC_CmnControlDlg.h : header file
//

#if !defined(AFX_MFC_CMNCONTROLDLG_H__53495707_F2D0_11D3_9F66_080009EE62AA__INCLUDED_)
#define AFX_MFC_CMNCONTROLDLG_H__53495707_F2D0_11D3_9F66_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMFC_CmnControlDlg dialog

#include "PNDriveList.h" // For CPNDriveList class
#include "PNDirTree.h" // For CPNDirTree class

class CMFC_CmnControlDlg : public CDialog
{
// Construction
public:
	
	// For dynamic Spin control creation:
	CSpinButtonCtrl m_Spin;
	CStatic m_Static;

	CMFC_CmnControlDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMFC_CmnControlDlg)
	enum { IDD = IDD_MFC_CMNCONTROL_DIALOG };
	CPNDirTree	m_DirTree;
	CTreeCtrl	m_GenTree;
	CPNDriveList	m_DrvList2;
	CPNDriveList	m_DrvList;
	CSliderCtrl	m_SliderV;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFC_CmnControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// ImageList for first listview dmeonstration
	CImageList m_SmileyImages;

	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMFC_CmnControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDeltaposSpininch(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnProgressgo();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnDlgprogdemo();
	afx_msg void OnDblclkDrvlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemchangedDrvlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAddtree();
	afx_msg void OnEdittree();
	afx_msg void OnDeltree();
	afx_msg void OnSelchangedDrvtree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEndlabeleditGentree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeTabdemo(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFC_CMNCONTROLDLG_H__53495707_F2D0_11D3_9F66_080009EE62AA__INCLUDED_)
